Subject: Re: Cygserver packge
From: Carlo Florendo y Flora <[email-masked]>
To: Anderson Luiz Brunozi <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Jul 2004 08:39:02 +0800

Anderson Luiz Brunozi wrote:

>Hello,
>
>I'm trying to install postgresql on Windows 2000, using cygwin.
>When I try to init a database by typing the command "initdb -D <directory>", I get a "Signal 12" error. By looking for some help on Google, I have found that such error means that I need to install the Cygserver package. 
>But when I tryed to run cygserver, instead of cygipc, as I have found that this was the problem, I then found that i did not have cygserver installed (I have the "cygserver-config" but no "cygserver").
>Then I tryed to download it using the cygwin "setup.exe" program, just like I did with the others cygwin packages. However, I looked for it in several of the availble mirrors, but could not find any package named "cygserver" (or "cygsrv").
>So, I would be very thankful, if you could, please, tell me where can i get the "cygserver" package, that i suposse would solve my problem.
>
>  Thanks for any help,
>
>          Anderson
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>
>
>  
>
cygserver is in /usr/sbin.  invoke /usr/sbin/cygserver instead.  Make 
sure you set CYGWIN=server before invoking cygserver.

I've written a tutorial on how to install PosgreSQL on Cygwin.  It 
contains most of the instructions found on the READMEs in cygwin plus 
some explanation.  Check out the link:
http://www.geocities.com/cfflorendo/postgresql-cygwin.html

Maybe, the maintainer of cygserver should update the docs and specify 
that cygserver is at /usr/sbin.  The issue of cygserver not being found 
has been brought out twice in this list for the past week.

Thanks!

Best Regards,

Carlo
------
Carlo Florendo y Flora
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/